<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.5"/>
<title>fwConfigs: fwPeriphAddressS7.ctl File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">fwConfigs
   &#160;<span id="projectnumber">8.4.2</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.5 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('fwPeriphAddressS7_8ctl.html','');});
</script>
<div id="doc-content">
<div class="header">
  <div class="headertitle">
<div class="title">fwPeriphAddressS7.ctl File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr><td colspan="2"><div class="groupHeader"></div></td></tr>
<tr class="memitem:a95558b8bf401cf7cfa072d8080dbe00f"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwPeriphAddressS7_8ctl.html#a95558b8bf401cf7cfa072d8080dbe00f">_fwPeriphAddressS7_set</a> (string <a class="el" href="fwPeriphAddress__Examples_8ctl.html#af5eea7566ea64dd6536735d84f1055f5">dpe</a>, dyn_anytype addressConfig, dyn_string &amp;exceptionInfo, bool setWait=true)</td></tr>
<tr class="separator:a95558b8bf401cf7cfa072d8080dbe00f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1ca912f7bef1fe599d8ff31bde50074e"><td class="memItemLeft" align="right" valign="top">private void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwPeriphAddressS7_8ctl.html#a1ca912f7bef1fe599d8ff31bde50074e">fwPeriphAddress_parseS7Address_DBx</a> (string addr)</td></tr>
<tr class="separator:a1ca912f7bef1fe599d8ff31bde50074e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9666330e2758423628577a095dc8446d"><td class="memItemLeft" align="right" valign="top">private void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwPeriphAddressS7_8ctl.html#a9666330e2758423628577a095dc8446d">fwPeriphAddress_parseS7Address_main</a> (string addr)</td></tr>
<tr class="separator:a9666330e2758423628577a095dc8446d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae7545bfd64d49c41eb8af77cb7e70e91"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwPeriphAddressS7_8ctl.html#ae7545bfd64d49c41eb8af77cb7e70e91">fwPeriphAddress_checkS7Parameters</a> (dyn_string dsParameters, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:ae7545bfd64d49c41eb8af77cb7e70e91"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9a1d641dddc61d7d2ef934843e7c7833"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwPeriphAddressS7_8ctl.html#a9a1d641dddc61d7d2ef934843e7c7833">_fwPeriphAddressS7_get</a> (string <a class="el" href="fwPeriphAddress__Examples_8ctl.html#af5eea7566ea64dd6536735d84f1055f5">dpe</a>, dyn_anytype &amp;addressConfig, bool &amp;isActive, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a9a1d641dddc61d7d2ef934843e7c7833"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3857cf0cd35e90a662d07340f3646448"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwPeriphAddressS7_8ctl.html#a3857cf0cd35e90a662d07340f3646448">_fwPeriphAddressS7_delete</a> (string <a class="el" href="fwPeriphAddress__Examples_8ctl.html#af5eea7566ea64dd6536735d84f1055f5">dpe</a>, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a3857cf0cd35e90a662d07340f3646448"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3a772aa3e6e5978d224ee608d6331f35"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwPeriphAddressS7_8ctl.html#a3a772aa3e6e5978d224ee608d6331f35">_fwPeriphAddressS7_initPanel</a> (string <a class="el" href="fwPeriphAddress__Examples_8ctl.html#af5eea7566ea64dd6536735d84f1055f5">dpe</a>, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a3a772aa3e6e5978d224ee608d6331f35"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab74ad1129aefa425fd043acf6f62de24"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwPeriphAddressS7_8ctl.html#ab74ad1129aefa425fd043acf6f62de24">_fwPeriphAddressS7_setValuesFromRef</a> (string reference, string sSystemName)</td></tr>
<tr class="separator:ab74ad1129aefa425fd043acf6f62de24"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a89f67f929836ec878fa2343f1d40870e"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwPeriphAddressS7_8ctl.html#a89f67f929836ec878fa2343f1d40870e">_fwPeriphAddressS7_getTransfo</a> ()</td></tr>
<tr class="separator:a89f67f929836ec878fa2343f1d40870e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a969b333b3c9bb7c7852758253a95c085"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwPeriphAddressS7_8ctl.html#a969b333b3c9bb7c7852758253a95c085">_fwPeriphAddressS7_encodeAddress</a> ()</td></tr>
<tr class="separator:a969b333b3c9bb7c7852758253a95c085"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a16a5e31d52a1deb0509cc64bf2c78102"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwPeriphAddressS7_8ctl.html#a16a5e31d52a1deb0509cc64bf2c78102">_fwPeriphAddressS7_getDir</a> (int directionModeS7, int receiveMode)</td></tr>
<tr class="separator:a16a5e31d52a1deb0509cc64bf2c78102"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6779b1d0ed4ff648c98761d08fc37c87"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwPeriphAddressS7_8ctl.html#a6779b1d0ed4ff648c98761d08fc37c87">_fwPeriphAddressS7_setIOMode</a> (int io, int im, string sSystemName)</td></tr>
<tr class="separator:a6779b1d0ed4ff648c98761d08fc37c87"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This library contains function associated with S7 addressing. Functions are provided to set, get and delete the addressing for a dpe</p>
<dl class="section user"><dt>Creation Date</dt><dd>24/04/2005</dd></dl>
<dl class="section user"><dt>Modification History</dt><dd></dd></dl>
<p>09/07/2014 Marco Boccioli</p>
<ul>
<li>{FWCORE-3183} Periphery address: add convertsion types DATETIME and BLOB for S7 device. <a class="el" href="fwPeriphAddressS7_8ctl.html#ae7545bfd64d49c41eb8af77cb7e70e91">fwPeriphAddress_checkS7Parameters()</a>: dataType upper limit changed from 708 to 710</li>
</ul>
<p>09/07/2014 Marco Boccioli</p>
<ul>
<li>{FWCORE-3175}: Error when modifying S7 non-polling address if the address is not in polling mode, don't set the polling group</li>
</ul>
<p>01/08/2014 Marco Boccioli</p>
<ul>
<li>{FWCORE-3150} : S7 Config addresses pollgroups. Added if (pollGroup == "_") pollGroup = ""; to <a class="el" href="fwPeriphAddressS7_8ctl.html#a95558b8bf401cf7cfa072d8080dbe00f">_fwPeriphAddressS7_set()</a></li>
</ul>
<p>12/11/2012 Marco Boccioli</p>
<ul>
<li>{FWCORE-3128} : Modified line on <em>fwPeriphAddressS7_set() : if(strlen(pollGroup)&gt;0 &amp;&amp; strpos(pollGroup,"&lt;/em&gt;")!=0 &amp;&amp; dpSubStr(pollGroup,DPSUB_SYS)==0)</em></li>
</ul>
<p><em> 12/11/2012 Marco Boccioli</p>
<ul>
<li>{FWCORE-3101} : Modified line on <em>fwPeriphAddressS7_set() : if(strlen(pollGroup) &amp;&amp; strpos(pollGroup,"&lt;/em&gt;")!=0) pollGroup = "_"+pollGroup;</em></li>
</ul>
<p></em></p>
<p><em><em> 13/09/2011 Marco Boccioli</p>
<ul>
<li>{49981}: Poll groups for S7 driver: inconsistency in poll group name. On <em>fwPeriphAddressS7_set(), the leading "&lt;/em&gt;" is now added automatically if not specified.</em></li>
</ul>
<p></em></em></p>
<p><em><em><em></p>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="section author"><dt>Author</dt><dd>Enrique BLANCO (AB-CO) </dd></dl>
<p></em></em></em></p>
</div><h2 class="groupheader">Function Documentation</h2>
<a class="anchor" id="a95558b8bf401cf7cfa072d8080dbe00f"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">_fwPeriphAddressS7_set </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>dpe</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_anytype&#160;</td>
          <td class="paramname"><em>addressConfig</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>setWait</em> = <code>true</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Set the S7 addressing
</pre><p> Note: This function should not be called directly. Call the fwPeriphAddress_set instead.</p>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Internal</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dpe</td><td>input, data point element to configure </td></tr>
    <tr><td class="paramname">addressConfig</td><td>input, object containing address configuration details </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>output, details of any exceptions are returned here </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a1ca912f7bef1fe599d8ff31bde50074e"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">private void fwPeriphAddress_parseS7Address_DBx </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>addr</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Parse the DBx part of the address, throwing exceptions as necessary </p>

</div>
</div>
<a class="anchor" id="a9666330e2758423628577a095dc8446d"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">private void fwPeriphAddress_parseS7Address_main </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>addr</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Allowed patterns {T,Z}y {DBx.DBX , M , E , I , A , Q}y[.z] {DBx.DB, M , E , I , A , Q}{B,W,D}y {DBx.DB, M}DyF</p>
<p>Note that "DB*y" are supposed to be already truncated to "B*y" and bit-included "Qy.z" are converted to "Q#y.z" (actually "Q#y"), and "DBXy.z" into "X#y.z" (actually "X#y"). similarly Ty and Zy were changed to T::y and Z::y</p>
<p>In short: the "addr" will always have two letters: either padded with "#" on 2nd char, or DBX truncated to BX </p>

</div>
</div>
<a class="anchor" id="ae7545bfd64d49c41eb8af77cb7e70e91"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwPeriphAddress_checkS7Parameters </td>
          <td>(</td>
          <td class="paramtype">dyn_string&#160;</td>
          <td class="paramname"><em>dsParameters</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Check if data is Ok to set a S7 address
</pre><p>The address is generally a dot-separated string, with:</p>
<ul>
<li>the first item: the name of the S7 Connections as configured in WinCC OA</li>
<li>the second item: the identification of the data block (DBx)</li>
<li>the third item: the starting address of the data inside the data block, plus some typing information</li>
<li>optionally, the fourth: the bit number inside a byte variable In addition, there may be a colon plus a number, telling the length of the (blob) variable. Note that in the PLC-world, the addressing would be the tokens 2,3 (and eventually 4).</li>
</ul>
<p>There may also be the symbolic addressing. Again, the first item (before the dot) is the connection name, while the second has some specific formatting.</p>
<p>It may also be a timer or a counter, in which name there are again only 2 items.</p>
<p>Alarm addresses ("TestS7.:1:2:3") are not supported.</p>
<p>Here are a couple of examples:</p>
<p>MyS7Connection.DB498.DBB512:200 - data block 498, start at byte 512, take a blob, and extract 200 bytes; the connection is defined as "MyS7Connection" inside WinCC OA</p>
<p>MyS7Connection.DB1.DBX30.3 - data block 1, start at byte 30, take bit 3 in "MyS7Connection"</p>
<p>MyS7Connection.T5 - timer 5</p>
<p>MyS7Connection.Z3 - counter 3</p>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dsParameters</td><td>parameters used to set the _address config (see constants definition) </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>for any error. If a parameter is incorrect, exceptionInfo is not empty ! </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a9a1d641dddc61d7d2ef934843e7c7833"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">_fwPeriphAddressS7_get </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>dpe</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_anytype &amp;&#160;</td>
          <td class="paramname"><em>addressConfig</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool &amp;&#160;</td>
          <td class="paramname"><em>isActive</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Get the S7 addressing
</pre><p> Note: This function should not be called directly. Call the fwPeriphAddress_get instead.</p>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Internal</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dpe</td><td>input, data point element to read </td></tr>
    <tr><td class="paramname">addressConfig</td><td>output, object containing address configuration details </td></tr>
    <tr><td class="paramname">isActive</td><td>output, TRUE is addressing is active, else FALSE </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>output, details of any exceptions are returned here </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a3857cf0cd35e90a662d07340f3646448"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">_fwPeriphAddressS7_delete </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>dpe</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Delete the S7 addressing
</pre><p> Note: This function should not be called directly. Call the fwPeriphAddress_delete instead.</p>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Internal</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dpe</td><td>input, data point element to configure </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>output, details of any exceptions are returned here </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a3a772aa3e6e5978d224ee608d6331f35"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">_fwPeriphAddressS7_initPanel </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>dpe</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Initialise the graphics of the address panel symbol.
</pre><p> Note: This function should only be called from fwPeriphAddres.pnl.</p>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Internal</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dpe</td><td>input, data point element to configure </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>output, details of any exceptions are returned here </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ab74ad1129aefa425fd043acf6f62de24"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">string _fwPeriphAddressS7_setValuesFromRef </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>reference</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>sSystemName</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Set S7 panel values
</pre><p> Note: This function fills the panel fields in funciton of the REFERENCE selected by the user in several fields of the fwPeriphAddressS7.pnl</p>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Internal</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">reference</td><td>input, user introduced reference </td></tr>
    <tr><td class="paramname">sSystemName</td><td>input, system name </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>output, encoded S7 address </dd></dl>

</div>
</div>
<a class="anchor" id="a89f67f929836ec878fa2343f1d40870e"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int _fwPeriphAddressS7_getTransfo </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Recuperate transformation type
</pre><p> Note: This function recuperates the selected trasnforamtion type selected by the user in several fields of the fwPeriphAddressS7.pnl</p>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Internal</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="section return"><dt>Returns</dt><dd>output, transformation type: i.e.: "701 --&gt; int 16" </dd></dl>

</div>
</div>
<a class="anchor" id="a969b333b3c9bb7c7852758253a95c085"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">string _fwPeriphAddressS7_encodeAddress </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Encode the S7 address
</pre><p> Note: This function encodes the S7 address introduced by the user in several fields of the fwPeriphAddressS7.pnl</p>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Internal</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="section return"><dt>Returns</dt><dd>correct address S7 type. i.e.: "DB100.DBX200.1" </dd></dl>

</div>
</div>
<a class="anchor" id="a16a5e31d52a1deb0509cc64bf2c78102"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int _fwPeriphAddressS7_getDir </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>directionModeS7</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>receiveMode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Get the S7 IO mode
</pre><p> Note: This function gets the IO mode from the user selection in the _fwPeriphAddressS7.pnl. new constants are defined to the In/out modes</p>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Internal</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">directionModeS7</td><td>input, direction mode (Output, Input, Input/Output) </td></tr>
    <tr><td class="paramname">receiveMode</td><td>input, type mode (TSPP, Polling, Single Query) </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a6779b1d0ed4ff648c98761d08fc37c87"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">_fwPeriphAddressS7_setIOMode </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>io</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>im</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>sSystemName</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Set the S7 IO mode
</pre><p> Note: This function sets the IO mode from the user selection. There is the case "1" which is also used to set up the INPUT mode when user introduce an PLC peripherial INPUT from the address field.</p>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Internal</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">io</td><td>input, direction mode (Output, Input, Input/Output) </td></tr>
    <tr><td class="paramname">im</td><td>input, type mode (TSPP, Polling, Single Query) </td></tr>
    <tr><td class="paramname">sSystemName</td><td>input, system name </td></tr>
  </table>
  </dd>
</dl>
<p>!!pollgroup </p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="fwPeriphAddressS7_8ctl.html">fwPeriphAddressS7.ctl</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.5 </li>
  </ul>
</div>
</body>
</html>
